%define upstream_name    WWW-YouTube-Download
%define upstream_version 0.42

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Very simply YouTube video download interface
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(JSON)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(URI)
BuildRequires: perl(URI::QueryParam)
BuildRequires: perl(XML::TreePP)
BuildArch:  noarch

%description
WWW::YouTube::Download is a download video from YouTube.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/youtube-download
%{_bindir}/youtube-playlists
%{_mandir}/man1/youtube-download.1.xz
%{_mandir}/man1/youtube-playlists.1.xz

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.420.0-2.mga3
+ Revision: 374814
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 17 2012 shlomif <shlomif> 0.420.0-1.mga3
+ Revision: 319184
- New version 0.42

* Thu Oct 04 2012 jquelin <jquelin> 0.410.0-1.mga3
+ Revision: 302783
- update to 0.41

* Tue Feb 21 2012 kharec <kharec> 0.400.0-1.mga2
+ Revision: 211754
- update to 0.40

* Wed Dec 07 2011 kharec <kharec> 0.380.0-1.mga2
+ Revision: 178392
- update to 0.38

* Wed Dec 07 2011 kharec <kharec> 0.370.0-1.mga2
+ Revision: 178125
- update to 0.37

* Tue Dec 06 2011 kharec <kharec> 0.360.0-1.mga2
+ Revision: 177926
- imported package perl-WWW-YouTube-Download

